		<?php do_action( 'boc_before_content_closing_tag' ); ?>
	</div>
	<!-- Page content::END -->
<?php 

	// Check if Header is disabled
	$footer_is_off = false;
	$wrapper_width 		= ot_get_option('wrapper_width','footerbg');
	if(isset($post->ID)){
		// Check Page Settings also
		$footer_is_off = get_post_meta($post->ID, 'boc_footer_is_off', true)=='on' ? true : false;
	}	
	
	if(!$footer_is_off) {

		// Get footer Options
		$footer_style = (bool)ot_get_option('footer_style',1);
		//$footer_columns = (int)ot_get_option('footer_columns', 0);
		
		$footer_columns = 0;
		// override footer columns with actual widgets
		if(is_active_sidebar( 'alea_footer_widget1' )){
			$footer_columns++;
		}
		if(is_active_sidebar( 'alea_footer_widget2' )){
			$footer_columns++;
		}
		if(is_active_sidebar( 'alea_footer_widget3' )){
			$footer_columns++;
		}
		if(is_active_sidebar( 'alea_footer_widget4' )){
			$footer_columns++;
		}
	?>

		<!-- Footer::Start -->
		<div id="footer" class="<?php echo esc_attr($wrapper_width).' '.(!$footer_style ? 'footer_light' : '');?> <?php echo (!$footer_columns ? "no_cols" : "");?>">

		<?php do_action( 'boc_after_footer_opening_tag' ); ?>

		<?php
			// Handle Column count
			if($footer_columns) { ?>

				<div class="container">
					<div class="section">

					<?php
						if(is_active_sidebar( 'alea_footer_widget1' )){ ?>

						<div class="col span_1_of_<?php echo (int)$footer_columns;?>">
						<?php if ( ! dynamic_sidebar('alea_footer_widget1') ) : ?>
						<?php endif; // end widget area ?>
						</div>

					<?php } ?>
					<?php
						if(is_active_sidebar( 'alea_footer_widget2' )){ ?>

						<div class="col span_1_of_<?php echo (int)$footer_columns;?>">
						<?php if ( ! dynamic_sidebar('alea_footer_widget2') ) : ?>
						<?php endif; // end widget area ?>
						</div>

					<?php } ?>
					<?php
						if(is_active_sidebar( 'alea_footer_widget3' )){ ?>

						<div class="col span_1_of_<?php echo (int)$footer_columns;?>">
						<?php if ( ! dynamic_sidebar('alea_footer_widget3') ) : ?>
						<?php endif; // end widget area ?>
						</div>

					<?php } ?>
					<?php
						if(is_active_sidebar( 'alea_footer_widget4' )){ ?>

						<div class="col span_1_of_<?php echo (int)$footer_columns;?>">
						<?php if ( ! dynamic_sidebar('alea_footer_widget4') ) : ?>
						<?php endif; // end widget area ?>
						</div>

					<?php } ?>

					</div>
				</div>

			<?php } ?>
			
			<?php do_action( 'boc_before_footer_closing_tag' ); ?>
	  </div>

			<div class="footer_btm <?php echo (($footer_columns==0) ? "no_martop" : "");?>">
				<div class="container">
					<div class="footer_btm_inner">
						<div id="powered"><?php echo ot_get_option('copyrights',boc_get_footer_copyright_text());?></div>
					
					<?php 	if(is_array($footer_icons = ot_get_option('footer_icons'))){
								$footer_icons = array_reverse($footer_icons);							
								foreach($footer_icons as $footer_icon){
									echo "<a target='_blank' class='footer_soc_icon' href='". $footer_icon['icons_url_footer']."'>
											<span class='icon ". $footer_icon['icons_service_footer'] ."' title='". esc_attr($footer_icon['title']) ."'></span>
										  </a>";			
								}
							}
					?>
					
					</div>
				</div>
			</div>

	  <!-- Footer::END -->
<?php } ?>  
	
  
	<div class="wrapper_overlay"></div>
  
  </div>
  <!-- Page wrapper::END -->
  
	
	<?php if ( is_active_sidebar( 'alea_side_widget_area' ) ) : ?>
	<!-- Side Widget::START -->
	<div class="boc_side_widget">
		<div class="boc_side_widget_close boc_i-close"></div>
		<?php dynamic_sidebar( 'alea_side_widget_area' ); ?>
	</div>
	<!-- Side Widget::END -->	
	<?php endif; ?>
	
	
	<?php 
	// Scroll to top
	if (ot_get_option('scroll_to_top','on')=='on') { ?>
		<div class="boc_scroll_to_top">
			<span class="scroll_top_icon boc_i-arrow-pointing-to-up"></span>
		</div>
	<?php } ?>  
  
  
  <?php wp_footer(); ?>
  
</body>
</html>