<?php
// Do not delete these lines
	if ( ! defined( 'ABSPATH' ) )
		die ('Please do not load this page directly. Thanks!');

	if ( post_password_required() ) { ?>
		<p class="no-comments"><?php esc_html_e('This post is password protected. Enter the password to view comments.', 'alea'); ?></p>
	<?php
		return;
	}
?>
	
<div id="comments" class="boc_comments <?php echo comments_open() ? 'comments_open' : 'comments_closed'; ?> <?php echo have_comments() ? 'has_comments' : 'has_no_comments'; ?>">
	
<?php if ( have_comments() ) : ?>

	<div class="comment_list">
		<h4><?php comments_number(esc_html__('No Comments', 'alea'), esc_html__('One Comment', 'alea'), esc_html__('% Comments', 'alea'));?></h4>

		<!-- Comment list -->
		<ol>
			<?php wp_list_comments(
				array(
					'callback'	  => 'boc_comment',
					'short_ping'  => true,
				)
			);?>
		</ol>
		<!-- Comment list::END -->
		
		<div class="section">
		    <div class="fl_left"><?php previous_comments_link(); ?></div>
		    <div class="fl_right"><?php next_comments_link(); ?></div>
		</div>
	</div>

<?php else : // this is displayed if there are no comments so far ?>

	<?php if ( comments_open() ) : ?>
		<!-- If comments are open, but there are no comments. -->

	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<p class="no-comments"><?php esc_html_e('Comments are closed.', 'alea'); ?></p>

	<?php endif; ?>

<?php endif; ?>


<?php if ( comments_open() ) : ?>


<?php
$args = array(
  'id_form'           => 'commentform',
  'id_submit'         => 'submit',
  
  'class_submit'      => 'button btn_theme_color btn_rounded btn_small_stretched',
  'title_reply'       => '<span>'.esc_html__('Leave A Comment', 'alea').'</span>',
  'label_submit'      => esc_html__('Comment', 'alea'),

  'comment_field' =>  '<div id="comment-textarea">
					<p>
						<textarea id="comment" placeholder="'.esc_attr__('Comment', 'alea').' *" rows="6" class="aqua_input" name="comment"></textarea>
					</p>
				</div>',

  'must_log_in' => '<p>You must be <a href="'.esc_url(wp_login_url( get_permalink() )).'">logged in</a> to post a comment.</p>',

  'logged_in_as' => '<p>'.esc_html__('Logged in as', 'alea').' <a href="'.esc_url(get_option('siteurl')).'/wp-admin/profile.php">'.$user_identity.'</a>. <a href="'.wp_logout_url(get_permalink()).'" title="Log out of this account">'.esc_html__('Log out &raquo;', 'alea').'</a></p>',

  'comment_notes_before' => '',  
  'comment_notes_after' => '',

  'fields' => apply_filters( 'comment_form_default_fields', array(

    'author' =>
      '<div class="section">

		<div class="col span_1_of_3">
			<input id="author" placeholder="'.esc_attr__('Name', 'alea').' *" class="aqua_input" name="author" type="text" value=""/>
		</div>
',

    'email' =>
'
	    <div class="col span_1_of_3">
			<input id="email" placeholder="'.esc_attr__('Email', 'alea').' *" class="aqua_input" name="email" type="email" value=""/>
		</div>
',

    'url' =>
      '
	    <div class="col span_1_of_3">
			<input id="url" placeholder="'.esc_attr__('Website', 'alea').'" class="aqua_input" name="url" type="text" value="" size="30"/>
		</div>

	  </div>'
    )
  ),
);	
?>		

	<!-- Comment Section -->	

	<?php comment_form($args); ?>
				
	<!-- Comment Section::END -->


<?php endif; ?>

</div>