<?php 
	// Related Projects
	if(ot_get_option('related_portfolio_projects', 'on') == 'on'){ 

		$projects = boc_get_related_portfolio_items($post->ID); 
		
		if($projects->have_posts()){ 
		
			$str = '';
			
			$portfolio_style = ot_get_option('portfolio_style') ? ot_get_option('portfolio_style') : 'type1';
			// Img Hover Effect
			$portfolio_img_hover_effect = 'img_hover_effect'.ot_get_option('portfolio_img_hover_effect','2');
			$portfolio_hover_icon = (ot_get_option('portfolio_hover_icon','on') == 'on') ? '' : 'hide_hover_icon';
						
			$str.='<div class="h30"></div>
			
			<div class="container">
				<div class="info_block">
					<h3 class="boc_heading center"><span>'.esc_html__("Related Portfolio Items", "alea").'</span></h3>
					<div class="h30"></div>
					<div class="portfolio_carousel_holder '.($portfolio_style==6 ? "padded_carousel" : "").' '.$portfolio_hover_icon.'">
						
						<div id="portfolio_carousel">';
							
							while($projects->have_posts()): $projects->the_post(); 
							if(has_post_thumbnail()): 
							
								$taxonomy = 'portfolio_category';
								$terms = get_the_terms( $post->ID , $taxonomy );
								$cats = array();
								
								if (! empty( $terms ) ) :
									foreach ( $terms as $term ) {
										
										$link = get_term_link( $term, $taxonomy );
										if ( !is_wp_error( $link ) )
											$cats[] = esc_html($term->name);
									}
								endif;
							
								$str.=
									'
									<div class="info_item boc_animate_when_almost_visible boc_right-to-left">
										<a href="'.esc_url(get_permalink()).'" class="pic_info_link_'.esc_attr($portfolio_style).'">
											<div class="pic_info '.esc_attr($portfolio_style).'">
												<div class="pic '.esc_attr($portfolio_img_hover_effect).'"><div class="plus_overlay"></div><div class="plus_overlay_icon"></div>'.get_the_post_thumbnail($projects->post->ID, 'boc_medium').'<div class="img_overlay_icon"><span class="portfolio_icon icon_link"></span></div></div>
												<div class="info_overlay">
													<div class="info_overlay_padding">
														<div class="info_desc center">
															<span class="portfolio_icon icon_link"></span>
															<h3>'.esc_html(get_the_title()).'</h3>
															<section>'.implode(' / ', $cats).'</section>
														</div>
													</div>
												</div>
											</div>
										</a>
									</div>
								';

							endif; endwhile;

							$autoplay_interval = 6000;
							$items_slided = 1;

							$str.='
						</div>
					</div>
				</div>

				<div class="h80 clear"></div>
			  </div>
			</div>';

			$js = '
			jQuery(document).ready(function($) {

				$("#portfolio_carousel").owlCarousel({
						items: 				3,
						nav: 				true,
						autoHeight: 		false,
						navText:			["<span class=\'icon fa fa-angle-left\'></span>","<span class=\'icon fa fa-angle-right\'></span>"],
						slideBy: 			1,
						dots:				false,
						navRewind: 			false,
						rtl : 				' . (is_rtl() ? 'true' : 'false') . ',
						margin:30,
						responsive:{
							0:{
							  items:1,
							},
							480:{
							  items:1,
							  margin:20,
							},
							769:{
							  items: 3
							}
						}
				});
			});';
			
			wp_enqueue_script( 'boc-theme-inline-scripts');
			wp_add_inline_script( 'boc-theme-inline-scripts', $js );

			echo wp_kses_post($str); 
	
		} 

	} // RELATED PROJECTS :: END ?>